Merge remote-tracking branch 'upstream/master'

This commit is contained in:
hedmo 2020-05-11 07:09:33 +02:00
commit 040d56c731
51 changed files with 2106 additions and 966 deletions

View File

@ -0,0 +1,4 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
</pkgmetadata>

View File

@ -0,0 +1,12 @@
# Copyright 2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit acct-group
KEYWORDS="~*"
DESCRIPTION="Sensu program group"
ACCT_GROUP_ID=499
SLOT="0"

View File

@ -0,0 +1,4 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
</pkgmetadata>

View File

@ -0,0 +1,14 @@
# Copyright 2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit acct-user
KEYWORDS="~*"
DESCRIPTION="Sensu Monitoring Framework"
ACCT_USER_ID=60
ACCT_USER_GROUPS=( sensu )
acct-user_add_deps
SLOT="0"

View File

@ -7,7 +7,7 @@ PYTHON_COMPAT=( python3_{6,7} )
inherit distutils-r1
DESCRIPTION="Python bindings for FFmpeg - with complex filtering support "
DESCRIPTION="Python bindings for FFmpeg with complex filtering support "
HOMEPAGE="https://github.com/kkroening/ffmpeg-python"
if [[ "${PV}" == *9999* ]]; then
@ -27,24 +27,20 @@ LICENSE="Apache-2.0"
SLOT="0"
IUSE="doc test"
COMMON_DEPEND="
dev-python/pytest-runner[${PYTHON_USEDEP}]
dev-python/setuptools[${PYTHON_USEDEP}]
"
DEPEND="
${COMMON_DEPEND}
doc? (
>=dev-python/sphinx-2.4.4[${PYTHON_USEDEP}]
)
>=dev-python/future-0.18.2[${PYTHON_USEDEP}]
>=dev-python/numpy-1.16.5[${PYTHON_USEDEP}]
dev-python/pytest-runner[${PYTHON_USEDEP}]
test? (
>=dev-python/pytest-4.6.9[${PYTHON_USEDEP}]
>=dev-python/pytest-mock-1.11.2[${PYTHON_USEDEP}]
>=dev-python/tox-3.12.1[${PYTHON_USEDEP}]
)
"
RDEPEND="
${COMMON_DEPEND}
>=dev-python/future-0.18.2[${PYTHON_USEDEP}]
>=dev-python/numpy-1.16.5[${PYTHON_USEDEP}]
${RDEPEND}
media-video/ffmpeg
"
distutils_enable_tests pytest
distutils_enable_sphinx doc/src

View File

@ -7,7 +7,7 @@ PYTHON_COMPAT=( python3_{6,7} )
inherit distutils-r1
DESCRIPTION="Python bindings for FFmpeg - with complex filtering support "
DESCRIPTION="Python bindings for FFmpeg with complex filtering support "
HOMEPAGE="https://github.com/kkroening/ffmpeg-python"
if [[ "${PV}" == *9999* ]]; then
@ -27,24 +27,20 @@ LICENSE="Apache-2.0"
SLOT="0"
IUSE="doc test"
COMMON_DEPEND="
dev-python/pytest-runner[${PYTHON_USEDEP}]
dev-python/setuptools[${PYTHON_USEDEP}]
"
DEPEND="
${COMMON_DEPEND}
doc? (
>=dev-python/sphinx-2.4.4[${PYTHON_USEDEP}]
)
>=dev-python/future-0.18.2[${PYTHON_USEDEP}]
>=dev-python/numpy-1.16.5[${PYTHON_USEDEP}]
dev-python/pytest-runner[${PYTHON_USEDEP}]
test? (
>=dev-python/pytest-4.6.9[${PYTHON_USEDEP}]
>=dev-python/pytest-mock-1.11.2[${PYTHON_USEDEP}]
>=dev-python/tox-3.12.1[${PYTHON_USEDEP}]
)
"
RDEPEND="
${COMMON_DEPEND}
>=dev-python/future-0.18.2[${PYTHON_USEDEP}]
>=dev-python/numpy-1.16.5[${PYTHON_USEDEP}]
${RDEPEND}
media-video/ffmpeg
"
distutils_enable_tests pytest
distutils_enable_sphinx doc/src

File diff suppressed because it is too large Load Diff

View File

@ -1 +1,2 @@
DIST tartube-2.0.0.tar.gz 1726296 BLAKE2B 7d0d0c83845ddc6717457ec3c0f701f818211680bc69cebfc246aba768379e9372786083444d9bfffcde0a382e84171532f7218580bcf93b62ab1e88a4859d88 SHA512 dd5126fb690a49c4cb7d937aa7abc2e6bbc9327eb1cf17fa9bcdbfe865e6a46be0cb7fcafe487ceebcd9c10f0436fd798836e5ed4cb520657777db25749ad403
DIST tartube-2.1.0.tar.gz 3556615 BLAKE2B c94a4bc818eae077605bd2b6ebe20fedf1f195dd6aa8763976b31811a4739c7964b5373e0ed02ca848e12c06706f1fc3ca9a4f9a9f51721f1e4bb199007145fe SHA512 f08d40cb1c7082b47c6fd28105880d135a3750ef7a763b8bfd3e4d3852d224f23f41f835cfa18cc988b633ad6ea66eca284259fdde122c2753ba02579b13995c

View File

@ -0,0 +1,64 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{6,7,8} )
inherit distutils-r1 eutils xdg-utils
DESCRIPTION="A GUI front-end for youtube-dl"
HOMEPAGE="https://tartube.sourceforge.io"
if [[ "${PV}" == *9999* ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/axcore/${PN}.git"
KEYWORDS=""
else
SRC_URI="https://github.com/axcore/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64"
fi
RESTRICT="mirror"
LICENSE="GPL-3"
SLOT="0"
IUSE="+atomicparsley"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
DEPEND="
${PYTHON_DEPS}
"
RDEPEND="
${DEPEND}
dev-python/requests[${PYTHON_USEDEP}]
net-misc/youtube-dl
x11-libs/gtk+:3
atomicparsley? ( media-video/atomicparsley )
"
DOCS=(
AUTHORS
CHANGES
README.rst
)
src_prepare() {
export TARTUBE_PKG_STRICT=1
distutils-r1_src_prepare
}
src_install() {
distutils-r1_src_install
}
pkg_postinst() {
xdg_desktop_database_update
xdg_icon_cache_update
elog "You may need to set path to (system) youtube-dl"
elog "in Tartube's System preferences"
}
pkg_postrm() {
xdg_desktop_database_update
xdg_icon_cache_update
}

View File

@ -0,0 +1,3 @@
DIST sensu-5.19.3.tar.gz 2823471 BLAKE2B 8f9578285695d2d3890940a61aada03a30ee8649277fd9fa3ce651ddb0eeefae758acdb05247a346488b69e5b21fb41d50c41c868bf663406410d9995c31c663 SHA512 9084bb7ee434d9dcfd291106bc13657590bef943e08be0b7687e26730a125c1ba4ea6045d62cb946e5fa224022fcd029c208b99ce6b95abbf908f3f72b45d0ce
DIST sensu_5.19.3_agent.yml 1379 BLAKE2B b1145ec12c85950c6cae834a666bc9e8186d8072184f56b4129d9c9ab8a98454080effdbbf87bcd777d852c78acf96b53fdf865306e3d984cbdc21a2dee832dc SHA512 d70899325f16231d88ca1c1a5660b4bb2444f42ec12c11b4cb68aabc0f23a2d1e2a068362e711b1fc1b14efdc7db033ca2fc069944b554a40f35a2a160dda353
DIST sensu_5.19.3_backend.yml 1771 BLAKE2B 4c2745f601a84e4aa444dedd4dbc2445652a94f48a784b7237038864c111b40f0370aefa9cbd7922c9881a437f0cf97d8aecb07a85d2b6723a6af3ce3555e8e2 SHA512 d6adc6180585f1505e5807a7be743b8f2e405a16aab0e54b5de0e1e64276cd8a0d93be66e72ca48f9fb8f2aebf8169b2d70ab17fc1a3aeb81e4b32a4bf757264

View File

@ -0,0 +1,6 @@
# config file for /etc/init.d/sensu-agent
SENSU_AGENT_CONFIG="/etc/sensu/agent.yml"
SENSU_AGENT_DATADIR="/var/lib/sensu"
SENSU_AGENT_LOGDIR="/var/log/sensu"
SENSU_AGENT_CACHEDIR="/var/cache/sensu"

View File

@ -0,0 +1,6 @@
# config file for /etc/init.d/sensu-backend
SENSU_BACKEND_CONFIG="/etc/sensu/backend.yml"
SENSU_BACKEND_DATADIR="/var/lib/sensu"
SENSU_BACKEND_LOGDIR="/var/log/sensu"
SENSU_BACKEND_CACHEDIR="/var/cache/sensu"

View File

@ -0,0 +1,23 @@
#!/sbin/openrc-run
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
description=""
name="Sensu Agent"
command="/usr/sbin/sensu-agent"
command_args="start -c ${SENSU_AGENT_CONFIG}"
command_user="${SENSU_USER:-sensu}"
command_background=true
pidfile="/run/${SVCNAME}.pid"
required_files="${SENSU_AGENT_CONFIG}"
retry=${SENSU_AGENT_TERMTIMEOUT:-"TERM/20/KILL/5"}
start_stop_daemon_args="${SSD_OPTS:-}"
depend() {
need localmount net
}
start_pre() {
checkpath -d -m 0750 -o "${command_user}" "${SENSU_AGENT_LOGDIR}" "${SENSU_AGENT_DATADIR}" "${SENSU_AGENT_CACHEDIR}"
}

View File

@ -0,0 +1,23 @@
#!/sbin/openrc-run
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
description=""
name="Sensu Monitoring Framework"
command="/usr/sbin/sensu-backend"
command_args="start -c ${SENSU_BACKEND_CONFIG}"
command_user="sensu"
command_background=true
pidfile="/run/${SVCNAME}.pid"
required_files="${SENSU_BACKEND_CONFIG}"
retry=${SENSU_BACKEND_TERMTIMEOUT:-"TERM/20/KILL/5"}
start_stop_daemon_args="${SSD_OPTS:-}"
depend() {
need localmount net
}
start_pre() {
checkpath -d -m 0750 -o "${command_user}" "${SENSU_BACKEND_LOGDIR}" "${SENSU_BACKEND_DATADIR}" "${SENSU_BACKEND_CACHEDIR}"
}

View File

@ -0,0 +1,18 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<use>
<flag name="agent">
Installs Sensu agent
</flag>
<flag name="backend">
Install Sensu dashboard and backend server
</flag>
<flag name="gcc">
Compile with GCC's Go compiler instead of Google's reference Go compiler (NOT SUPPORTED)
</flag>
<flag name="systemd">
Install systemd service units rather than OpenRC init scripts (NOT SUPPORTED)
</flag>
</use>
</pkgmetadata>

View File

@ -0,0 +1,185 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
#inherit go-module
EGO_SUM=(
"github.com/AlecAivazis/survey v1.4.1"
"github.com/Azure/go-ansiterm v0.0.0-20170929234023-d6e3b3328b78"
"github.com/NYTimes/gziphandler v0.0.0-20180227021810-5032c8878b9d"
"github.com/StackExchange/wmi v0.0.0-20180725035823-b12b22c5341f"
"github.com/ash2k/stager v0.0.0-20170622123058-6e9c7b0eacd4"
"github.com/atlassian/gostatsd v0.0.0-20180514010436-af796620006e"
"github.com/coreos/bbolt v1.3.3"
"github.com/coreos/etcd v3.3.17+incompatible"
"github.com/coreos/go-semver v0.3.0"
"github.com/coreos/go-systemd v0.0.0-20190719114852-fd7a80b32e1f"
"github.com/coreos/pkg v0.0.0-20180928190104-399ea9e2e55f"
"github.com/dave/jennifer v0.0.0-20171207062344-d8bdbdbee4e1"
"github.com/dgrijalva/jwt-go v3.2.0+incompatible"
"github.com/docker/docker v0.0.0-20180409082103-cbde00b44273"
"github.com/echlebek/crock v1.0.1"
"github.com/echlebek/timeproxy v1.0.0"
"github.com/emicklei/proto v1.1.0"
"github.com/frankban/quicktest v1.7.2"
"github.com/ghodss/yaml v1.0.0"
"github.com/go-ole/go-ole v0.0.0-20170209151332-de8695c8edbf"
"github.com/go-resty/resty/v2 v2.1.0"
"github.com/gogo/protobuf v1.3.1"
"github.com/golang/groupcache v0.0.0-20191002201903-404acd9df4cc"
"github.com/golang/protobuf v1.3.2"
"github.com/google/uuid v1.1.1"
"github.com/gorilla/context v0.0.0-20160226214623-1ea25387ff6f"
"github.com/gorilla/mux v1.6.2"
"github.com/gorilla/websocket v1.4.1"
"github.com/gotestyourself/gotestyourself v2.2.0+incompatible"
"github.com/graph-gophers/dataloader v0.0.0-20180104184831-78139374585c"
"github.com/graphql-go/graphql v0.7.9-0.20191125031726-2e2b648ecbe4"
"github.com/grpc-ecosystem/go-grpc-middleware v1.1.0"
"github.com/grpc-ecosystem/grpc-gateway v1.11.3"
"github.com/gxed/GoEndian v0.0.0-20160916112711-0f5c6873267e"
"github.com/gxed/eventfd v0.0.0-20160916113412-80a92cca79a8"
"github.com/hashicorp/go-version v1.2.0"
"github.com/ipfs/go-log v0.0.0-20180416040000-7ecd3df29a4a"
"github.com/jbenet/go-reuseport v0.0.0-20180416043609-15a1cd37f050"
"github.com/json-iterator/go v1.1.7"
"github.com/konsorten/go-windows-terminal-sequences v1.0.2"
"github.com/libp2p/go-reuseport v0.0.0-20180416043609-15a1cd37f050"
"github.com/libp2p/go-sockaddr v0.0.0-20180329070516-f3e9f73a53d1"
"github.com/mattn/go-colorable v0.0.9"
"github.com/mattn/go-isatty v0.0.2"
"github.com/mattn/go-runewidth v0.0.2"
"github.com/mgutz/ansi v0.0.0-20170206155736-9520e82c474b"
"github.com/mholt/archiver/v3 v3.3.1-0.20191129193105-44285f7ed244"
"github.com/mitchellh/go-homedir v1.1.0"
"github.com/mitchellh/mapstructure v1.1.2"
"github.com/olekukonko/tablewriter v0.0.0-20180506121414-d4647c9c7a84"
"github.com/prometheus/client_golang v1.2.0"
"github.com/prometheus/client_model v0.0.0-20190812154241-14fe0d1b01d4"
"github.com/robertkrimen/otto v0.0.0-20180617131154-15f95af6e78d"
"github.com/robfig/cron/v3 v3.0.0"
"github.com/sensu/lasr v1.2.1"
"github.com/shirou/gopsutil v0.0.0-20180801053943-8048a2e9c577"
"github.com/shirou/w32 v0.0.0-20160930032740-bb4de0191aa4"
"github.com/sirupsen/logrus v1.4.2"
"github.com/spf13/cobra v0.0.5"
"github.com/spf13/pflag v1.0.5"
"github.com/spf13/viper v1.4.0"
"github.com/stretchr/testify v1.4.0"
"github.com/whyrusleeping/go-logging v0.0.0-20170515211332-0457bb6b88fc"
"github.com/willf/pad v0.0.0-20160331131008-b3d780601022"
"go.etcd.io/bbolt v1.3.2"
"go.uber.org/multierr v1.2.0"
"golang.org/x/crypto v0.0.0-20191011191535-87dc89f01550"
"golang.org/x/net v0.0.0-20191014212845-da9a3fd4c582"
"golang.org/x/sys v0.0.0-20191113165036-4c7a9d0fe056"
"golang.org/x/text v0.3.2"
"golang.org/x/time v0.0.0-20190921001708-c4c64cad1fd0"
"google.golang.org/genproto v0.0.0-20191009194640-548a555dbc03"
"google.golang.org/grpc v1.24.0"
"gopkg.in/AlecAivazis/survey.v1 v1.4.0"
"gopkg.in/h2non/filetype.v1 v1.0.3"
"gopkg.in/sourcemap.v1 v1.0.5"
"gopkg.in/yaml.v2 v2.2.4"
"gotest.tools v2.2.0+incompatible"
"sigs.k8s.io/yaml v1.1.0"
)
#go-module_set_globals
DESCRIPTION="Simple. Scalable. Multi-cloud monitoring."
HOMEPAGE="https://sensu.io"
#SRC_URI="
# https://github.com/${PN}/${PN}-go/archive/v${PV}.tar.gz -> ${P}.tar.gz
# ${EGO_SUM_SRC_URI}"
MAJOR_MINOR_VERSION="5.19"
SRC_URI="
https://github.com/${PN}/${PN}-go/archive/v${PV}.tar.gz -> ${P}.tar.gz
backend? ( https://docs.sensu.io/sensu-go/${MAJOR_MINOR_VERSION}/files/backend.yml -> ${PN}_${PV}_backend.yml )
agent? ( https://docs.sensu.io/sensu-go/${MAJOR_MINOR_VERSION}/files/agent.yml -> ${PN}_${PV}_agent.yml )
"
PROPERTIES+=" live"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm ~ppc64 ~x86"
IUSE="agent backend gcc systemd"
BDEPEND+="
!gcc? ( dev-lang/go )
gcc? ( sys-devel/gcc[go] )
sys-apps/coreutils
app-arch/tar
app-arch/gzip
"
RDEPEND+="
virtual/libc
acct-group/sensu
acct-user/sensu
"
#S="${S}/${PN}"
#S="${WORKDIR}/${PN}-go-${PV}"
S="${WORKDIR}"
src_unpack() {
if [ -z ${I_KNOW_WHAT_IM_DOING} ]; then
local I_KNOW_WHAT_IM_DOING=0
fi
if use gcc; then
die "Compilation with GCC is not supported yet."
fi
if use systemd; then
die "We don't have systemd unit files yet."
fi
if use backend && (use x86 || use arm) && [ ${I_KNOW_WHAT_IM_DOING} -eq 0 ]; then
die "Backend does not work reliably on 32bit hosts. If you really want this, re-emerge with I_KNOW_WHAT_IM_DOING=1"
fi
tar -xf "${DISTDIR}"/sensu-${PV}.tar.gz
cd ${PN}-go-${PV}
local TODAY=$(date +%Y-%m-%d)
local BUILD_SIGNATURE="-X github.com/sensu/sensu-go/version.Version=${PV} -X github.com/sensu/sensu-go/version.BuildDate=${TODAY}"
if use agent; then
go build -ldflags "${BUILD_SIGNATURE}" -o bin/sensu-agent ./cmd/sensu-agent >/dev/null
cp "${DISTDIR}"/"${PN}"_"${PV}"_agent.yml "${S}"/agent.yml.example
fi
if use backend; then
go build -ldflags "${BUILD_SIGNATURE}" -o bin/sensu-backend ./cmd/sensu-backend >/dev/null
cp "${DISTDIR}"/"${PN}"_"${PV}"_backend.yml "${S}"/backend.yml.example
fi
go build -ldflags "${BUILD_SIGNATURE}" -o bin/sensuctl ./cmd/sensuctl >/dev/null
}
src_install() {
if use agent; then
doinitd "${FILESDIR}"/init.d/sensu-agent
doconfd "${FILESDIR}"/conf.d/sensu-agent
insinto /etc/sensu
doins agent.yml.example
dosbin "${PN}-go-${PV}"/bin/sensu-agent
fi
if use backend; then
doexe "${FILESDIR}"/init.d/sensu-backend
doins "${FILESDIR}"/conf.d/sensu-backend
insinto /etc/sensu
doins backend.yml.example
dosbin "${PN}-go-${PV}"/bin/sensu-backend
fi
dosbin "${PN}-go-${PV}"/bin/sensuctl
}
pkg_postinst() {
if use backend; then
elog "If this is your first installation of sensu backend,"
elog "you have to initialize your administrative credentials."
elog "Simply run the following: (change admin_user and admin_password)"
elog "su -s /bin/bash - sensu -c 'SENSU_BACKEND_CLUSTER_ADMIN_USERNAME=admin_user SENSU_BACKEND_CLUSTER_ADMIN_PASSWORD=admin_pass sensu-backend init'"
elog "Remember that this command has to be run WHILE sensu-backend service is running."
fi
}

View File

@ -8,7 +8,7 @@ K_GENPATCHES_VER="35"
K_SECURITY_UNSUPPORTED="1"
K_NOSETEXTRAVERSION="1"
inherit kernel-2
inherit kernel-2-src-prepare-overlay
detect_version
detect_arch

View File

@ -8,7 +8,7 @@ K_GENPATCHES_VER="36"
K_SECURITY_UNSUPPORTED="1"
K_NOSETEXTRAVERSION="1"
inherit kernel-2
inherit kernel-2-src-prepare-overlay
detect_version
detect_arch

View File

@ -8,7 +8,7 @@ K_GENPATCHES_VER="37"
K_SECURITY_UNSUPPORTED="1"
K_NOSETEXTRAVERSION="1"
inherit kernel-2
inherit kernel-2-src-prepare-overlay
detect_version
detect_arch

View File

@ -8,7 +8,7 @@ K_GENPATCHES_VER="38"
K_SECURITY_UNSUPPORTED="1"
K_NOSETEXTRAVERSION="1"
inherit kernel-2
inherit kernel-2-src-prepare-overlay
detect_version
detect_arch

View File

@ -8,7 +8,7 @@ K_GENPATCHES_VER="39"
K_SECURITY_UNSUPPORTED="1"
K_NOSETEXTRAVERSION="1"
inherit kernel-2
inherit kernel-2-src-prepare-overlay
detect_version
detect_arch

View File

@ -8,7 +8,7 @@ K_GENPATCHES_VER="21"
K_SECURITY_UNSUPPORTED="1"
K_NOSETEXTRAVERSION="1"
inherit kernel-2
inherit kernel-2-src-prepare-overlay
detect_version
detect_arch

View File

@ -8,7 +8,7 @@ K_GENPATCHES_VER="13"
K_SECURITY_UNSUPPORTED="1"
K_NOSETEXTRAVERSION="1"
inherit kernel-2
inherit kernel-2-src-prepare-overlay
detect_version
detect_arch

View File

@ -8,7 +8,7 @@ K_GENPATCHES_VER="15"
K_SECURITY_UNSUPPORTED="1"
K_NOSETEXTRAVERSION="1"
inherit kernel-2
inherit kernel-2-src-prepare-overlay
detect_version
detect_arch

View File

@ -8,7 +8,7 @@ K_GENPATCHES_VER="10"
K_SECURITY_UNSUPPORTED="1"
K_NOSETEXTRAVERSION="1"
inherit kernel-2
inherit kernel-2-src-prepare-overlay
detect_version
detect_arch

View File

@ -8,7 +8,7 @@ K_GENPATCHES_VER="10"
K_SECURITY_UNSUPPORTED="1"
K_NOSETEXTRAVERSION="1"
inherit kernel-2
inherit kernel-2-src-prepare-overlay
detect_version
detect_arch

View File

@ -8,7 +8,7 @@ K_GENPATCHES_VER="12"
K_SECURITY_UNSUPPORTED="1"
K_NOSETEXTRAVERSION="1"
inherit kernel-2
inherit kernel-2-src-prepare-overlay
detect_version
detect_arch

View File

@ -8,7 +8,7 @@ K_GENPATCHES_VER="1"
K_SECURITY_UNSUPPORTED="1"
K_NOSETEXTRAVERSION="1"
inherit kernel-2
inherit kernel-2-src-prepare-overlay
detect_version
detect_arch

View File

@ -8,7 +8,7 @@ K_GENPATCHES_VER="2"
K_SECURITY_UNSUPPORTED="1"
K_NOSETEXTRAVERSION="1"
inherit kernel-2
inherit kernel-2-src-prepare-overlay
detect_version
detect_arch

View File

@ -8,7 +8,7 @@ K_GENPATCHES_VER="2"
K_SECURITY_UNSUPPORTED="1"
K_NOSETEXTRAVERSION="1"
inherit kernel-2
inherit kernel-2-src-prepare-overlay
detect_version
detect_arch

View File

@ -8,7 +8,7 @@ K_GENPATCHES_VER="2"
K_SECURITY_UNSUPPORTED="1"
K_NOSETEXTRAVERSION="1"
inherit kernel-2
inherit kernel-2-src-prepare-overlay
detect_version
detect_arch

View File

@ -8,7 +8,7 @@ K_GENPATCHES_VER="2"
K_SECURITY_UNSUPPORTED="1"
K_NOSETEXTRAVERSION="1"
inherit kernel-2
inherit kernel-2-src-prepare-overlay
detect_version
detect_arch

View File

@ -8,7 +8,7 @@ K_GENPATCHES_VER="2"
K_SECURITY_UNSUPPORTED="1"
K_NOSETEXTRAVERSION="1"
inherit kernel-2
inherit kernel-2-src-prepare-overlay
detect_version
detect_arch

View File

@ -23,7 +23,7 @@ K_SECURITY_UNSUPPORTED="1"
# already included in pf-sources
K_WANT_GENPATCHES="base extras"
inherit eutils kernel-2
inherit eutils kernel-2-src-prepare-overlay
detect_version
DESCRIPTION="Linux kernel fork that includes the pf-kernel patchset and Gentoo's genpatches"

View File

@ -23,7 +23,7 @@ K_SECURITY_UNSUPPORTED="1"
# already included in pf-sources
K_WANT_GENPATCHES="base extras"
inherit eutils kernel-2
inherit eutils kernel-2-src-prepare-overlay
detect_version
DESCRIPTION="Linux kernel fork that includes the pf-kernel patchset and Gentoo's genpatches"

View File

@ -6,7 +6,7 @@ K_SECURITY_UNSUPPORTED="1"
K_NOSETEXTRAVERSION="1"
XANMOD_VERSION="2"
ETYPE="sources"
inherit kernel-2
inherit kernel-2-src-prepare-overlay
detect_version
DESCRIPTION="A general-purpose kernel with custom settings and new features"
@ -23,6 +23,6 @@ src_prepare() {
kernel-2_src_prepare
rm ${S}/.config || die
rm "${S}"/.config || die
}

View File

@ -6,7 +6,7 @@ K_SECURITY_UNSUPPORTED="1"
K_NOSETEXTRAVERSION="1"
XANMOD_VERSION="1"
ETYPE="sources"
inherit kernel-2
inherit kernel-2-src-prepare-overlay
detect_version
DESCRIPTION="A general-purpose kernel with custom settings and new features"
@ -23,6 +23,6 @@ src_prepare() {
kernel-2_src_prepare
rm ${S}/.config || die
rm "${S}"/.config || die
}

View File

@ -6,7 +6,7 @@ K_SECURITY_UNSUPPORTED="1"
K_NOSETEXTRAVERSION="1"
XANMOD_VERSION="1"
ETYPE="sources"
inherit kernel-2
inherit kernel-2-src-prepare-overlay
detect_version
DESCRIPTION="A general-purpose kernel with custom settings and new features"
@ -23,6 +23,6 @@ src_prepare() {
kernel-2_src_prepare
rm ${S}/.config || die
rm "${S}"/.config || die
}

View File

@ -6,7 +6,7 @@ K_SECURITY_UNSUPPORTED="1"
K_NOSETEXTRAVERSION="1"
XANMOD_VERSION="1"
ETYPE="sources"
inherit kernel-2
inherit kernel-2-src-prepare-overlay
detect_version
DESCRIPTION="A general-purpose kernel with custom settings and new features"
@ -23,6 +23,6 @@ src_prepare() {
kernel-2_src_prepare
rm ${S}/.config || die
rm "${S}"/.config || die
}

View File

@ -6,7 +6,7 @@ K_SECURITY_UNSUPPORTED="1"
K_NOSETEXTRAVERSION="1"
XANMOD_VERSION="1"
ETYPE="sources"
inherit kernel-2
inherit kernel-2-src-prepare-overlay
detect_version
DESCRIPTION="A general-purpose kernel with custom settings and new features"
@ -23,6 +23,6 @@ src_prepare() {
kernel-2_src_prepare
rm ${S}/.config || die
rm "${S}"/.config || die
}

View File

@ -6,7 +6,7 @@ K_SECURITY_UNSUPPORTED="1"
K_NOSETEXTRAVERSION="1"
XANMOD_VERSION="1"
ETYPE="sources"
inherit kernel-2
inherit kernel-2-src-prepare-overlay
detect_version
DESCRIPTION="A general-purpose kernel with custom settings and new features"
@ -23,6 +23,6 @@ src_prepare() {
kernel-2_src_prepare
rm ${S}/.config || die
rm "${S}"/.config || die
}

View File

@ -3,6 +3,7 @@ DIST genpatches-5.6-2.extras.tar.xz 1744 BLAKE2B 1a7b68366c1b4ea01c670bf88f95624
DIST linux-5.6.tar.xz 111785252 BLAKE2B 8dbe02a8ca7fd3dcf512a15c5d8098c1e7f94257e65173fed43fcc45480e4ab790df8cd39bbbb4e2a21dc9a00385bc9bbe98215a31e7f7e1d9c8f21cd8ace69e SHA512 80846fe2b4e4a7ff471d2dde28a8216ae807a3209f959e93d39ea4fc9a189ea28ec3db9d303b3fe15a28c2cb90e7446876678e93e23353c2d6f262e364a06bc9
DIST v5.6.10-zen1.patch.xz 454024 BLAKE2B 3905c8744c95d79b7dca67a1b9c43801db885a398888a947348087b32d435bbebfeba1fed962e9b55e61b6f132b84314128cc24ae90baa942f170f64a042840c SHA512 40bebf6ee3c5db8a52aa605b730cfa785ef5bce0d15b42358848fbee51147fc04fd5465ea13ca1fbc90c9dd97d81b3805bbc0a49c0bcddc4fb53dec3566e10d1
DIST v5.6.11-zen1.patch.xz 473620 BLAKE2B 318de1bbb4b020362cf6b8174e9b108cf3ba4ce18b81d2580969070bab4ed977952245876329f2a83415f7131235da726ffc30f5833c594483229bb3235aae9b SHA512 dfa14a6ce4d1970f34ea832ad5f50ba712ceaff7304457481ac2313c0b3882d239777235f8518161837a464efdb7cd8cac13990e4e09a60ae5256ea9979260fc
DIST v5.6.12-zen1.patch.xz 488844 BLAKE2B f662c03ca124946f247037f980531bb9c0d56468c1cd18c007aa3efbd5eabd18b0e8e458a2fd9900c4a1fa0a1eb9ca8a632961ed8511a63c796d28ae6b22fef2 SHA512 18c71c0df36c537ee063911981377e7d5ce348fc75d282461475c0801e530a5ecd6547a6fcd861b4d1a08d999e5ce6e32fb39ef90933ec6bf6664ef6df439fdf
DIST v5.6.7-zen1.patch.xz 361608 BLAKE2B e129ec27175d6fc1b9e12778174eebfaaca172d5261e611d145f98b90adee0fb751b6ab00683ea3255b081bf1a6b7942739cad908657e0e425e263e9979c8cf2 SHA512 faa8028477560bf53806afa0f8511448a54e8ce14fb6ab69c8f5bc845d388a95a21c9dcecbd70f4cb682b1fb3f8aa89e2886b79582d3106887c6583db119f0e9
DIST v5.6.8-zen1.patch.xz 412196 BLAKE2B 0e30989ac661d611218fcf1e0d7574d62eb2cce9c927c2ed5055457c119a5a6c70724023a4e981de63d036b0ca513112756c485fc8e277ee65f7af67b43aef37 SHA512 618766b0660d03378a8d166bfccec0def4b1b5d89bd87e7ed37837179f7fe4e3dccb83c254ccd9523911f215aa079a31b2cde2db3bab1ef6532a8cc308679a83
DIST v5.6.9-zen1.patch.xz 447224 BLAKE2B 06e665e1da05f1b72ac8615d2b8b4fc4faf6aae6b9e97cec7d6b028f38baa9920cd87c276f319a837437536ecc3ec123e577ea3aca1d22b63f53b21272919846 SHA512 bfbd143b951e63d005009bf362844a2b19f321b5d0674ec9f4a5d1f00cbeb30be0ee26b66ecaa05403da9b23750c7df60264766121fcc901cd61fd5a1dd72ecf

View File

@ -8,7 +8,7 @@ K_GENPATCHES_VER="2"
K_SECURITY_UNSUPPORTED="1"
K_NOSETEXTRAVERSION="1"
inherit kernel-2
inherit kernel-2-src-prepare-overlay
detect_version
detect_arch

View File

@ -8,7 +8,7 @@ K_GENPATCHES_VER="2"
K_SECURITY_UNSUPPORTED="1"
K_NOSETEXTRAVERSION="1"
inherit kernel-2
inherit kernel-2-src-prepare-overlay
detect_version
detect_arch

View File

@ -0,0 +1,25 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
ETYPE="sources"
K_WANT_GENPATCHES="base extras"
K_GENPATCHES_VER="2"
K_SECURITY_UNSUPPORTED="1"
K_NOSETEXTRAVERSION="1"
inherit kernel-2-src-prepare-overlay
detect_version
detect_arch
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
HOMEPAGE="https://github.com/zen-kernel"
IUSE=""
DESCRIPTION="Zen sources including the Gentoo patchsets for the ${KV_MAJOR}.${KV_MINOR} kernel tree"
ZEN_URI="https://github.com/zen-kernel/zen-kernel/releases/download/v${PV}-zen1/v${PV}-zen1.patch.xz"
SRC_URI="${KERNEL_URI} ${GENPATCHES_URI} ${ARCH_URI} ${ZEN_URI}"
UNIPATCH_LIST="${DISTDIR}/v${PV}-zen1.patch.xz"
UNIPATCH_STRICTORDER="yes"

View File

@ -8,7 +8,7 @@ K_GENPATCHES_VER="2"
K_SECURITY_UNSUPPORTED="1"
K_NOSETEXTRAVERSION="1"
inherit kernel-2
inherit kernel-2-src-prepare-overlay
detect_version
detect_arch

View File

@ -8,7 +8,7 @@ K_GENPATCHES_VER="2"
K_SECURITY_UNSUPPORTED="1"
K_NOSETEXTRAVERSION="1"
inherit kernel-2
inherit kernel-2-src-prepare-overlay
detect_version
detect_arch

View File

@ -8,7 +8,7 @@ K_GENPATCHES_VER="2"
K_SECURITY_UNSUPPORTED="1"
K_NOSETEXTRAVERSION="1"
inherit kernel-2
inherit kernel-2-src-prepare-overlay
detect_version
detect_arch

View File

@ -17,7 +17,7 @@ PYTHON_REQ_USE='ncurses,sqlite,ssl,threads(+)'
#nb-NO nl nn-NO oc pa-IN pl pt-BR pt-PT rm ro ru si sk sl son sq sr sv-SE ta te
#th tr uk ur uz vi xh zh-CN zh-TW )
MOZ_LANGS=()
PROPERTIES+="live"
PROPERTIES+=" live"
# Convert the ebuild version to the upstream mozilla version, used by mozlinguas
MOZ_PV="${PV/_alpha/a}" # Handle alpha for SRC_URI
@ -49,11 +49,11 @@ KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
SLOT="0"
LICENSE="MPL-2.0 GPL-2 LGPL-2.1"
IUSE="-bindist clang cpu_flags_x86_avx2 dbus debug geckodriver
IUSE="amd64 -bindist clang cpu_flags_x86_avx2 dbus debug geckodriver
+gmp-autoupdate hardened hwaccel jack kernel_linux lto cpu_flags_arm_neon
pgo pulseaudio +screenshot selinux startup-notification +system-av1
+system-harfbuzz +system-icu +system-jpeg +system-libevent
+system-sqlite +system-libvpx +system-webp test wayland wifi"
+system-sqlite +system-libvpx +system-webp test wayland wifi x86"
REQUIRED_USE="pgo? ( lto )
wifi? ( dbus )"

View File

@ -1,901 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
COMMIT_SHA="8f9f30e1e9cf2b411ce2747024d4f72edda86904"
VIRTUALX_REQUIRED="pgo"
WANT_AUTOCONF="2.1"
MOZ_ESR="1"
PYTHON_COMPAT=( python3_{6,7,8} )
PYTHON_REQ_USE='ncurses,sqlite,ssl,threads(+)'
# This list can be updated with scripts/get_langs.sh from the mozilla overlay
#MOZ_LANGS=(ach af an ar ast az be bg bn br bs ca cak cs cy da de dsb el en en-CA
#en-GB en-US eo es-AR es-CL es-ES es-MX et eu fa ff fi fr fy-NL ga-IE gd gl gn gu-IN
#he hi-IN hr hsb hu hy-AM ia id is it ja ka kab kk km kn ko lij lt lv mk mr ms my
#nb-NO nl nn-NO oc pa-IN pl pt-BR pt-PT rm ro ru si sk sl son sq sr sv-SE ta te
#th tr uk ur uz vi xh zh-CN zh-TW )
MOZ_LANGS=()
PROPERTIES+="live"
# Convert the ebuild version to the upstream mozilla version, used by mozlinguas
MOZ_PV="${PV/_alpha/a}" # Handle alpha for SRC_URI
MOZ_PV="${MOZ_PV/_beta/b}" # Handle beta for SRC_URI
MOZ_PV="${MOZ_PV%%_rc*}" # Handle rc for SRC_URI
if [[ ${MOZ_ESR} == 1 ]] ; then
# ESR releases have slightly different version numbers
MOZ_PV="${MOZ_PV}esr"
fi
# Patch version
PATCH="firefox-68.0-patches-12"
MOZ_HTTP_URI="https://git.savannah.gnu.org/cgit/gnuzilla.git"
MOZ_SRC_URI="https://git.savannah.gnu.org/cgit/gnuzilla.git/snapshot/gnuzilla-${COMMIT_SHA}.tar.gz"
LLVM_MAX_SLOT=10
inherit check-reqs eapi7-ver flag-o-matic toolchain-funcs eutils vcs-snapshot \
gnome2-utils llvm mozcoreconf-v6 oom-score-adj pax-utils xdg-utils \
autotools multiprocessing virtualx
#mozlinguas-v2
DESCRIPTION="GNU IceCat Web Browser"
HOMEPAGE="https://www.gnu.org/software/gnuzilla/"
KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
SLOT="0"
LICENSE="MPL-2.0 GPL-2 LGPL-2.1"
IUSE="-bindist clang cpu_flags_x86_avx2 dbus debug geckodriver
+gmp-autoupdate hardened hwaccel jack kernel_linux lto cpu_flags_arm_neon
pgo pulseaudio +screenshot selinux startup-notification +system-av1
+system-harfbuzz +system-icu +system-jpeg +system-libevent
+system-sqlite +system-libvpx +system-webp test wayland wifi"
REQUIRED_USE="pgo? ( lto )
wifi? ( dbus )"
RESTRICT="
!test? ( test )
"
PATCH_URIS=( https://dev.gentoo.org/~{anarchy,axs,polynomial-c,whissi}/mozilla/patchsets/${PATCH}.tar.xz )
SRC_URI="${SRC_URI}
${MOZ_SRC_URI}
${PATCH_URIS[@]}"
BDEPEND+="
dev-perl/File-Rename:0
"
CDEPEND="
>=dev-libs/nss-3.44.3
>=dev-libs/nspr-4.21
dev-libs/atk
dev-libs/expat
>=x11-libs/cairo-1.10[X]
>=x11-libs/gtk+-2.18:2
>=x11-libs/gtk+-3.4.0:3[X]
x11-libs/gdk-pixbuf
>=x11-libs/pango-1.22.0
>=media-libs/libpng-1.6.35:0=[apng]
>=media-libs/mesa-10.2:*
media-libs/fontconfig
>=media-libs/freetype-2.4.10
kernel_linux? ( !pulseaudio? ( media-libs/alsa-lib ) )
virtual/freedesktop-icon-theme
dbus? ( >=sys-apps/dbus-0.60
>=dev-libs/dbus-glib-0.72 )
startup-notification? ( >=x11-libs/startup-notification-0.8 )
>=x11-libs/pixman-0.19.2
>=dev-libs/glib-2.26:2
>=sys-libs/zlib-1.2.3
>=dev-libs/libffi-3.0.10:=
virtual/ffmpeg
x11-libs/libX11
x11-libs/libXcomposite
x11-libs/libXdamage
x11-libs/libXext
x11-libs/libXfixes
x11-libs/libXrender
x11-libs/libXt
system-av1? (
>=media-libs/dav1d-0.3.0:=
>=media-libs/libaom-1.0.0:=
)
system-harfbuzz? ( >=media-libs/harfbuzz-2.4.0:0= >=media-gfx/graphite2-1.3.13 )
system-icu? ( >=dev-libs/icu-63.1:= )
system-jpeg? ( >=media-libs/libjpeg-turbo-1.2.1 )
system-libevent? ( >=dev-libs/libevent-2.0:0=[threads] )
system-libvpx? ( =media-libs/libvpx-1.7*:0=[postproc] )
system-sqlite? ( >=dev-db/sqlite-3.28.0:3[secure-delete,debug=] )
system-webp? ( >=media-libs/libwebp-1.0.2:0= )
wifi? ( kernel_linux? ( >=sys-apps/dbus-0.60
>=dev-libs/dbus-glib-0.72
net-misc/networkmanager ) )
jack? ( virtual/jack )
selinux? ( sec-policy/selinux-mozilla )"
RDEPEND="${CDEPEND}
jack? ( virtual/jack )
pulseaudio? ( || ( media-sound/pulseaudio
>=media-sound/apulse-0.1.9 ) )
selinux? ( sec-policy/selinux-mozilla )"
DEPEND="${CDEPEND}
app-arch/zip
app-arch/unzip
>=dev-util/cbindgen-0.8.7
>=net-libs/nodejs-8.11.0
>=sys-devel/binutils-2.30
sys-apps/findutils
|| (
(
sys-devel/clang:10
!clang? ( sys-devel/llvm:10 )
clang? (
=sys-devel/lld-10*
sys-devel/llvm:10[gold]
pgo? ( =sys-libs/compiler-rt-sanitizers-10*[profile] )
)
)
(
sys-devel/clang:9
!clang? ( sys-devel/llvm:9 )
clang? (
=sys-devel/lld-9*
sys-devel/llvm:9[gold]
pgo? ( =sys-libs/compiler-rt-sanitizers-9*[profile] )
)
)
(
sys-devel/clang:8
!clang? ( sys-devel/llvm:8 )
clang? (
=sys-devel/lld-8*
sys-devel/llvm:8[gold]
pgo? ( =sys-libs/compiler-rt-sanitizers-8*[profile] )
)
)
(
sys-devel/clang:7
!clang? ( sys-devel/llvm:7 )
clang? (
=sys-devel/lld-7*
sys-devel/llvm:7[gold]
pgo? ( =sys-libs/compiler-rt-sanitizers-7*[profile] )
)
)
)
pulseaudio? ( media-sound/pulseaudio )
>=virtual/rust-1.34.0
wayland? ( >=x11-libs/gtk+-3.11:3[wayland] )
amd64? ( >=dev-lang/yasm-1.1 virtual/opengl )
x86? ( >=dev-lang/yasm-1.1 virtual/opengl )
!system-av1? (
amd64? ( >=dev-lang/nasm-2.13 )
x86? ( >=dev-lang/nasm-2.13 )
)"
#S="${WORKDIR}/icecat-${PV%_*}"
S="${WORKDIR}/gnuzilla-${COMMIT_SHA}/output/icecat-${PV%_*}"
QA_PRESTRIPPED="usr/lib*/${PN}/icecat"
BUILD_OBJ_DIR="${S}/ff"
# allow GMP_PLUGIN_LIST to be set in an eclass or
# overridden in the enviromnent (advanced hackers only)
if [[ -z $GMP_PLUGIN_LIST ]] ; then
GMP_PLUGIN_LIST=( gmp-gmpopenh264 gmp-widevinecdm )
fi
fix_path() {
local value_to_move=${1}
local new_path path_value
IFS=:; local -a path_values=( ${PATH} )
for path_value in "${path_values[@]}" ; do
if [[ ${path_value} == *"${value_to_move}"* ]] ; then
new_path="${path_value}${new_path:+:}${new_path}"
else
new_path+="${new_path:+:}${path_value}"
fi
done
echo "${new_path}"
}
llvm_check_deps() {
if ! has_version --host-root "sys-devel/clang:${LLVM_SLOT}" ; then
ewarn "sys-devel/clang:${LLVM_SLOT} is missing! Cannot use LLVM slot ${LLVM_SLOT} ..." >&2
return 1
fi
if use clang ; then
if ! has_version --host-root "=sys-devel/lld-${LLVM_SLOT}*" ; then
ewarn "=sys-devel/lld-${LLVM_SLOT}* is missing! Cannot use LLVM slot ${LLVM_SLOT} ..." >&2
return 1
fi
if use pgo ; then
if ! has_version --host-root "=sys-libs/compiler-rt-sanitizers-${LLVM_SLOT}*" ; then
ewarn "=sys-libs/compiler-rt-sanitizers-${LLVM_SLOT}* is missing! Cannot use LLVM slot ${LLVM_SLOT} ..." >&2
return 1
fi
fi
fi
einfo "Will use LLVM slot ${LLVM_SLOT}!" >&2
}
pkg_pretend() {
if use pgo ; then
if ! has usersandbox $FEATURES ; then
die "You must enable usersandbox as X server can not run as root!"
fi
fi
# Ensure we have enough disk space to compile
if use pgo || use lto || use debug || use test ; then
CHECKREQS_DISK_BUILD="16G"
else
CHECKREQS_DISK_BUILD="12G"
fi
check-reqs_pkg_pretend
}
pkg_setup() {
moz_pkgsetup
# Ensure we have enough disk space to compile
if use pgo || use lto || use debug || use test ; then
CHECKREQS_DISK_BUILD="16G"
else
CHECKREQS_DISK_BUILD="12G"
fi
check-reqs_pkg_setup
# Avoid PGO profiling problems due to enviroment leakage
# These should *always* be cleaned up anyway
unset DBUS_SESSION_BUS_ADDRESS \
DISPLAY \
ORBIT_SOCKETDIR \
SESSION_MANAGER \
XDG_CACHE_HOME \
XDG_SESSION_COOKIE \
XAUTHORITY
oom_score_adj_allow_write
llvm_pkg_setup
# Workaround for #627726
if has ccache ${FEATURES} ; then
if use clang && use pgo ; then
die "Using FEATURES=ccache with USE=clang and USE=pgo is currently known to be broken (bug #718632)."
fi
einfo "Fixing PATH for FEATURES=ccache ..."
PATH=$(fix_path 'ccache/bin')
elif has distcc ${FEATURES} ; then
einfo "Fixing PATH for FEATURES=distcc ..."
PATH=$(fix_path 'distcc/bin')
fi
}
src_unpack() {
default
# Unpack language packs
# mozlinguas_src_unpack
cd "${WORKDIR}"/gnuzilla-"${COMMIT_SHA}"
"${FILESDIR}"/patch_without_repoman_knowing.sh
./makeicecat
}
src_prepare() {
rm "${WORKDIR}"/firefox/2013_avoid_noinline_on_GCC_with_skcms.patch
rm "${WORKDIR}"/firefox/2015_fix_cssparser.patch
cp "${FILESDIR}"/1000_gentoo_preference_file.patch "${WORKDIR}"/firefox
cp "${FILESDIR}"/3000_use_the_Mozilla_location_service_when_no_Google_key_is_available.patch "${WORKDIR}"/firefox
eapply "${WORKDIR}/firefox"
# Allow user to apply any additional patches without modifing ebuild
eapply_user
# Make LTO respect MAKEOPTS
sed -i \
-e "s/multiprocessing.cpu_count()/$(makeopts_jobs)/" \
"${S}"/build/moz.configure/toolchain.configure \
|| die "sed failed to set num_cores"
# Enable gnomebreakpad
if use debug ; then
sed -i -e "s:GNOME_DISABLE_CRASH_DIALOG=1:GNOME_DISABLE_CRASH_DIALOG=0:g" \
"${S}"/build/unix/run-mozilla.sh || die "sed failed!"
fi
# Drop -Wl,--as-needed related manipulation for ia64 as it causes ld sefgaults, bug #582432
if use ia64 ; then
sed -i \
-e '/^OS_LIBS += no_as_needed/d' \
-e '/^OS_LIBS += as_needed/d' \
"${S}"/widget/gtk/mozgtk/gtk2/moz.build \
"${S}"/widget/gtk/mozgtk/gtk3/moz.build \
|| die "sed failed to drop --as-needed for ia64"
fi
# Fix sandbox violations during make clean, bug 372817
sed -e "s:\(/no-such-file\):${T}\1:g" \
-i "${S}"/config/rules.mk \
-i "${S}"/nsprpub/configure{.in,} \
|| die
# Don't exit with error when some libs are missing which we have in
# system.
sed '/^MOZ_PKG_FATAL_WARNINGS/s@= 1@= 0@' \
-i "${S}"/browser/installer/Makefile.in || die
# Don't error out when there's no files to be removed:
sed 's@\(xargs rm\)$@\1 -f@' \
-i "${S}"/toolkit/mozapps/installer/packager.mk || die
# Keep codebase the same even if not using official branding
sed '/^MOZ_DEV_EDITION=1/d' \
-i "${S}"/browser/branding/official/configure.sh || die
# rustfmt, a tool to format Rust code, is optional and not required to build Firefox.
# However, when available, an unsupported version can cause problems, bug #669548
sed -i -e "s@check_prog('RUSTFMT', add_rustup_path('rustfmt')@check_prog('RUSTFMT', add_rustup_path('rustfmt_do_not_use')@" \
"${S}"/build/moz.configure/rust.configure || die
# Autotools configure is now called old-configure.in
# This works because there is still a configure.in that happens to be for the
# shell wrapper configure script
eautoreconf old-configure.in
# Must run autoconf in js/src
cd "${S}"/js/src || die
eautoconf old-configure.in
}
src_configure() {
MEXTENSIONS="default"
# Google API keys (see http://www.chromium.org/developers/how-tos/api-keys)
# Note: These are for Gentoo Linux use ONLY. For your own distribution, please
# get your own set of keys.
_google_api_key=AIzaSyDEAOvatFo0eTgsV_ZlEzx0ObmepsMzfAc
# Add information about TERM to output (build.log) to aid debugging
# blessings problems
if [[ -n "${TERM}" ]] ; then
einfo "TERM is set to: \"${TERM}\""
else
einfo "TERM is unset."
fi
if use clang && ! tc-is-clang ; then
# Force clang
einfo "Enforcing the use of clang due to USE=clang ..."
CC=${CHOST}-clang
CXX=${CHOST}-clang++
strip-unsupported-flags
elif ! use clang && ! tc-is-gcc ; then
# Force gcc
einfo "Enforcing the use of gcc due to USE=-clang ..."
CC=${CHOST}-gcc
CXX=${CHOST}-g++
strip-unsupported-flags
fi
####################################
#
# mozconfig, CFLAGS and CXXFLAGS setup
#
####################################
mozconfig_init
# common config components
mozconfig_annotate 'system_libs' \
--with-system-zlib \
--with-system-bz2
# Must pass release in order to properly select linker
mozconfig_annotate 'Enable by Gentoo' --enable-release
if use pgo ; then
if ! has userpriv $FEATURES ; then
eerror "Building IceCat with USE=pgo and FEATURES=-userpriv is not supported!"
fi
fi
# Don't let user's LTO flags clash with upstream's flags
filter-flags -flto*
if use lto ; then
local show_old_compiler_warning=
if use clang ; then
# At this stage CC is adjusted and the following check will
# will work
if [[ $(clang-major-version) -lt 7 ]] ; then
show_old_compiler_warning=1
fi
# Upstream only supports lld when using clang
mozconfig_annotate "forcing ld=lld due to USE=clang and USE=lto" --enable-linker=lld
else
if [[ $(gcc-major-version) -lt 8 ]] ; then
show_old_compiler_warning=1
fi
# Bug 689358
append-cxxflags -flto
if ! use cpu_flags_x86_avx2 ; then
local _gcc_version_with_ipa_cdtor_fix="8.3"
local _current_gcc_version="$(gcc-major-version).$(gcc-minor-version)"
if ver_test "${_current_gcc_version}" -lt "${_gcc_version_with_ipa_cdtor_fix}" ; then
# due to a GCC bug, GCC will produce AVX2 instructions
# even if the CPU doesn't support AVX2, https://gcc.gnu.org/ml/gcc-patches/2018-12/msg01142.html
einfo "Disable IPA cdtor due to bug in GCC and missing AVX2 support -- triggered by USE=lto"
append-ldflags -fdisable-ipa-cdtor
else
einfo "No GCC workaround required, GCC version is already patched!"
fi
else
einfo "No GCC workaround required, system supports AVX2"
fi
# Linking only works when using ld.gold when LTO is enabled
mozconfig_annotate "forcing ld=gold due to USE=lto" --enable-linker=gold
fi
if [[ -n "${show_old_compiler_warning}" ]] ; then
# Checking compiler's major version uses CC variable. Because we allow
# user to control used compiler via USE=clang flag, we cannot use
# initial value. So this is the earliest stage where we can do this check
# because pkg_pretend is not called in the main phase function sequence
# environment saving is not guaranteed so we don't know if we will have
# correct compiler until now.
ewarn ""
ewarn "USE=lto requires up-to-date compiler (>=gcc-8 or >=clang-7)."
ewarn "You are on your own -- expect build failures. Don't file bugs using that unsupported configuration!"
ewarn ""
sleep 5
fi
mozconfig_annotate '+lto' --enable-lto=thin
if use pgo ; then
mozconfig_annotate '+pgo' MOZ_PGO=1
fi
else
# Avoid auto-magic on linker
if use clang ; then
# This is upstream's default
mozconfig_annotate "forcing ld=lld due to USE=clang" --enable-linker=lld
elif tc-ld-is-gold ; then
mozconfig_annotate "linker is set to gold" --enable-linker=gold
else
mozconfig_annotate "linker is set to bfd" --enable-linker=bfd
fi
fi
# It doesn't compile on alpha without this LDFLAGS
use alpha && append-ldflags "-Wl,--no-relax"
# Add full relro support for hardened
if use hardened ; then
append-ldflags "-Wl,-z,relro,-z,now"
mozconfig_use_enable hardened hardening
fi
# Modifications to better support ARM, bug 553364
if use cpu_flags_arm_neon ; then
mozconfig_annotate '' --with-fpu=neon
if ! tc-is-clang ; then
# thumb options aren't supported when using clang, bug 666966
mozconfig_annotate '' --with-thumb=yes
mozconfig_annotate '' --with-thumb-interwork=no
fi
fi
if [[ ${CHOST} == armv*h* ]] ; then
mozconfig_annotate '' --with-float-abi=hard
if ! use system-libvpx ; then
sed -i -e "s|softfp|hard|" \
"${S}"/media/libvpx/moz.build
fi
fi
if use bindist; then
die "USE bindist must be turned off for this package."
fi
# mozconfig_use_enable official-branding
mozconfig_use_enable debug
mozconfig_use_enable debug tests
if ! use debug ; then
mozconfig_annotate 'disabled by Gentoo' --disable-debug-symbols
else
mozconfig_annotate 'enabled by Gentoo' --enable-debug-symbols
fi
# These are enabled by default in all mozilla applications
mozconfig_annotate '' --with-system-nspr --with-nspr-prefix="${SYSROOT}${EPREFIX}"/usr
mozconfig_annotate '' --with-system-nss --with-nss-prefix="${SYSROOT}${EPREFIX}"/usr
mozconfig_annotate '' --x-includes="${SYSROOT}${EPREFIX}"/usr/include \
--x-libraries="${SYSROOT}${EPREFIX}"/usr/$(get_libdir)
mozconfig_annotate '' --prefix="${EPREFIX}"/usr
mozconfig_annotate '' --libdir="${EPREFIX}"/usr/$(get_libdir)
mozconfig_annotate '' --disable-crashreporter
mozconfig_annotate 'Gentoo default' --with-system-png
mozconfig_annotate '' --enable-system-ffi
mozconfig_annotate '' --disable-gconf
mozconfig_annotate '' --with-intl-api
mozconfig_annotate '' --enable-system-pixman
# Instead of the standard --build= and --host=, mozilla uses --host instead
# of --build, and --target intstead of --host.
# Note, mozilla also has --build but it does not do what you think it does.
# Set both --target and --host as mozilla uses python to guess values otherwise
mozconfig_annotate '' --target="${CHOST}"
mozconfig_annotate '' --host="${CBUILD:-${CHOST}}"
if use system-libevent ; then
mozconfig_annotate '' --with-system-libevent="${SYSROOT}${EPREFIX}"/usr
fi
if ! use x86 && [[ ${CHOST} != armv*h* ]] ; then
mozconfig_annotate '' --enable-rust-simd
fi
# use the gtk3 toolkit (the only one supported at this point)
# TODO: Will this result in automagic dependency on x11-libs/gtk+[wayland]?
if use wayland ; then
mozconfig_annotate '' --enable-default-toolkit=cairo-gtk3-wayland
else
mozconfig_annotate '' --enable-default-toolkit=cairo-gtk3
fi
mozconfig_use_enable startup-notification
mozconfig_use_enable system-sqlite
mozconfig_use_with system-av1
mozconfig_use_with system-harfbuzz
mozconfig_use_with system-harfbuzz system-graphite2
mozconfig_use_with system-icu
mozconfig_use_with system-jpeg
mozconfig_use_with system-libvpx
mozconfig_use_with system-webp
mozconfig_use_enable pulseaudio
# force the deprecated alsa sound code if pulseaudio is disabled
if use kernel_linux && ! use pulseaudio ; then
mozconfig_annotate '-pulseaudio' --enable-alsa
fi
# Disable built-in ccache support to avoid sandbox violation, #665420
# Use FEATURES=ccache instead!
mozconfig_annotate '' --without-ccache
sed -i -e 's/ccache_stats = None/return None/' \
python/mozbuild/mozbuild/controller/building.py || \
die "Failed to disable ccache stats call"
mozconfig_use_enable dbus
mozconfig_use_enable wifi necko-wifi
mozconfig_use_enable geckodriver
# enable JACK, bug 600002
mozconfig_use_enable jack
# Setup api key for location services and safebrowsing, https://bugzilla.mozilla.org/show_bug.cgi?id=1531176#c34
echo -n "${_google_api_key}" > "${S}"/google-api-key
mozconfig_annotate '' --with-google-location-service-api-keyfile="${S}/google-api-key"
mozconfig_annotate '' --with-google-safebrowsing-api-keyfile="${S}/google-api-key"
mozconfig_annotate '' --enable-extensions="${MEXTENSIONS}"
# allow elfhack to work in combination with unstripped binaries
# when they would normally be larger than 2GiB.
append-ldflags "-Wl,--compress-debug-sections=zlib"
if use clang && ! use arm64; then
# https://bugzilla.mozilla.org/show_bug.cgi?id=1482204
# https://bugzilla.mozilla.org/show_bug.cgi?id=1483822
mozconfig_annotate 'elf-hack is broken when using Clang' --disable-elf-hack
fi
echo "mk_add_options MOZ_OBJDIR=${BUILD_OBJ_DIR}" >> "${S}"/.mozconfig
echo "mk_add_options XARGS=/usr/bin/xargs" >> "${S}"/.mozconfig
# Finalize and report settings
mozconfig_final
mkdir -p "${S}"/third_party/rust/libloading/.deps
# workaround for funky/broken upstream configure...
SHELL="${SHELL:-${EPREFIX}/bin/bash}" MOZ_NOSPAM=1 \
./mach configure || die
}
src_compile() {
local _virtx=
if use pgo ; then
_virtx=virtx
# Reset and cleanup environment variables used by GNOME/XDG
gnome2_environment_reset
addpredict /root
addpredict /etc/gconf
fi
GDK_BACKEND=x11 \
MOZ_MAKE_FLAGS="${MAKEOPTS} -O" \
SHELL="${SHELL:-${EPREFIX}/bin/bash}" \
MOZ_NOSPAM=1 \
${_virtx} \
./mach build --verbose \
|| die
}
src_install() {
cd "${BUILD_OBJ_DIR}" || die
# Pax mark xpcshell for hardened support, only used for startupcache creation.
pax-mark m "${BUILD_OBJ_DIR}"/dist/bin/xpcshell
# Add our default prefs for IceCat
cp "${FILESDIR}"/gentoo-default-prefs.js-3 \
"${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" \
|| die
# set dictionary path, to use system hunspell
echo "pref(\"spellchecker.dictionary_path\", \"${EPREFIX}/usr/share/myspell\");" \
>>"${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" || die
# force the graphite pref if system-harfbuzz is enabled, since the pref cant disable it
if use system-harfbuzz ; then
echo "sticky_pref(\"gfx.font_rendering.graphite.enabled\",true);" \
>>"${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" || die
fi
# force cairo as the canvas renderer on platforms without skia support
if [[ $(tc-endian) == "big" ]] ; then
echo "sticky_pref(\"gfx.canvas.azure.backends\",\"cairo\");" \
>>"${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" || die
echo "sticky_pref(\"gfx.content.azure.backends\",\"cairo\");" \
>>"${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" || die
fi
# Augment this with hwaccel prefs
if use hwaccel ; then
cat "${FILESDIR}"/gentoo-hwaccel-prefs.js-1 >> \
"${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" \
|| die
fi
if ! use screenshot ; then
echo "pref(\"extensions.screenshots.disabled\", true);" >> \
"${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" \
|| die
fi
echo "pref(\"extensions.autoDisableScopes\", 3);" >> \
"${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" \
|| die
local plugin
use gmp-autoupdate || use eme-free || for plugin in "${GMP_PLUGIN_LIST[@]}" ; do
echo "pref(\"media.${plugin}.autoupdate\", false);" >> \
"${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" \
|| die
done
cd "${S}"
MOZ_MAKE_FLAGS="${MAKEOPTS}" SHELL="${SHELL:-${EPREFIX}/bin/bash}" MOZ_NOSPAM=1 \
DESTDIR="${D}" ./mach install || die
if use geckodriver ; then
cp "${BUILD_OBJ_DIR}"/dist/bin/geckodriver "${ED%/}"${MOZILLA_FIVE_HOME} || die
pax-mark m "${ED%/}"${MOZILLA_FIVE_HOME}/geckodriver
dosym ${MOZILLA_FIVE_HOME}/geckodriver /usr/bin/geckodriver
fi
# Install language packs
# MOZEXTENSION_TARGET="distribution/extensions" MOZ_INSTALL_L10N_XPIFILE="1" mozlinguas_src_install
local size sizes icon_path icon name
sizes="16 22 24 32 48 64 128 256"
icon_path="${S}/browser/branding/official"
icon="${PN}"
name="GNU IceCat"
# Disable built-in auto-update because we update IceCat through package manager
insinto ${MOZILLA_FIVE_HOME}/distribution/
newins "${FILESDIR}"/disable-auto-update.policy.json policies.json
# Install icons and .desktop for menu entry
for size in ${sizes} ; do
insinto "/usr/share/icons/hicolor/${size}x${size}/apps"
newins "${icon_path}/default${size}.png" "${icon}.png"
done
# Install a 48x48 icon into /usr/share/pixmaps for legacy DEs
newicon "${icon_path}/default48.png" "${icon}.png"
# Add StartupNotify=true bug 237317
local startup_notify="false"
if use startup-notification ; then
startup_notify="true"
fi
local display_protocols="auto X11" use_wayland="false"
if use wayland ; then
display_protocols+=" Wayland"
use_wayland="true"
fi
local app_name desktop_filename display_protocol exec_command
for display_protocol in ${display_protocols} ; do
app_name="${name} on ${display_protocol}"
desktop_filename="${PN}-${display_protocol,,}.desktop"
case ${display_protocol} in
Wayland)
exec_command='icecat-wayland --name icecat-wayland'
newbin "${FILESDIR}"/icecat-wayland.sh icecat-wayland
;;
X11)
if ! use wayland ; then
# Exit loop here because there's no choice so
# we don't need wrapper/.desktop file for X11.
continue
fi
exec_command='icecat-x11 --name icecat-x11'
newbin "${FILESDIR}"/icecat-x11.sh icecat-x11
;;
*)
app_name="${name}"
desktop_filename="${PN}.desktop"
exec_command='icecat'
;;
esac
newmenu "${FILESDIR}/icon/${PN}-r1.desktop" "${desktop_filename}"
sed -i \
-e "s:@NAME@:${app_name}:" \
-e "s:@EXEC@:${exec_command}:" \
-e "s:@ICON@:${icon}:" \
-e "s:@STARTUP_NOTIFY@:${startup_notify}:" \
"${ED%/}/usr/share/applications/${desktop_filename}" || die
done
rm "${ED%/}"/usr/bin/icecat || die
newbin "${FILESDIR}"/icecat.sh icecat
local wrapper
for wrapper in \
"${ED%/}"/usr/bin/icecat \
"${ED%/}"/usr/bin/icecat-x11 \
"${ED%/}"/usr/bin/icecat-wayland \
; do
[[ ! -f "${wrapper}" ]] && continue
sed -i \
-e "s:@PREFIX@:${EPREFIX%/}/usr:" \
-e "s:@DEFAULT_WAYLAND@:${use_wayland}:" \
"${wrapper}" || die
done
# Don't install llvm-symbolizer from sys-devel/llvm package
[[ -f "${ED%/}${MOZILLA_FIVE_HOME}/llvm-symbolizer" ]] && \
rm "${ED%/}${MOZILLA_FIVE_HOME}/llvm-symbolizer"
# icecat and icecat-bin are identical
rm "${ED%/}"${MOZILLA_FIVE_HOME}/icecat-bin || die
dosym icecat ${MOZILLA_FIVE_HOME}/icecat-bin
# Required in order to use plugins and even run icecat on hardened.
pax-mark m "${ED%/}"${MOZILLA_FIVE_HOME}/{icecat,plugin-container}
}
pkg_preinst() {
gnome2_icon_savelist
# if the apulse libs are available in MOZILLA_FIVE_HOME then apulse
# doesn't need to be forced into the LD_LIBRARY_PATH
if use pulseaudio && has_version ">=media-sound/apulse-0.1.9" ; then
einfo "APULSE found - Generating library symlinks for sound support"
local lib
pushd "${ED}"${MOZILLA_FIVE_HOME} &>/dev/null || die
for lib in ../apulse/libpulse{.so{,.0},-simple.so{,.0}} ; do
# a quickpkg rolled by hand will grab symlinks as part of the package,
# so we need to avoid creating them if they already exist.
if [[ ! -L ${lib##*/} ]] ; then
ln -s "${lib}" ${lib##*/} || die
fi
done
popd &>/dev/null || die
fi
}
pkg_postinst() {
gnome2_icon_cache_update
xdg_desktop_database_update
if ! use gmp-autoupdate; then
elog "USE='-gmp-autoupdate' has disabled the following plugins from updating or"
elog "installing into new profiles:"
local plugin
for plugin in "${GMP_PLUGIN_LIST[@]}"; do elog "\t ${plugin}" ; done
elog
fi
if use pulseaudio && has_version ">=media-sound/apulse-0.1.9" ; then
elog "Apulse was detected at merge time on this system and so it will always be"
elog "used for sound. If you wish to use pulseaudio instead please unmerge"
elog "media-sound/apulse."
elog
fi
local show_doh_information show_normandy_information
if [[ -z "${REPLACING_VERSIONS}" ]] ; then
# New install; Tell user that DoH is disabled by default
show_doh_information=yes
show_normandy_information=yes
else
local replacing_version
for replacing_version in ${REPLACING_VERSIONS} ; do
if ver_test "${replacing_version}" -lt 68.6.0-r3 ; then
# Tell user only once about our DoH default
show_doh_information=yes
fi
if ver_test "${replacing_version}" -lt 68.6.0-r3 ; then
# Tell user only once about our Normandy default
show_normandy_information=yes
fi
done
fi
if [[ -n "${show_doh_information}" ]] ; then
elog
elog "Note regarding Trusted Recursive Resolver aka DNS-over-HTTPS (DoH):"
elog "Due to privacy concerns (encrypting DNS might be a good thing, sending all"
elog "DNS traffic to Cloudflare by default is not a good idea and applications"
elog "should respect OS configured settings), \"network.trr.mode\" was set to 5"
elog "(\"Off by choice\") by default."
elog "You can enable DNS-over-HTTPS in ${PN^}'s preferences."
fi
# bug 713782
if [[ -n "${show_normandy_information}" ]] ; then
elog
elog "Upstream operates a service named Normandy which allows Mozilla to"
elog "push changes for default settings or even install new add-ons remotely."
elog "While this can be useful to address problems like 'Armagadd-on 2.0' or"
elog "revert previous decisions to disable TLS 1.0/1.1, privacy and security"
elog "concerns prevail, which is why we have switched off the use of this"
elog "service by default."
elog
elog "To re-enable this service set"
elog
elog " app.normandy.enabled=true"
elog
elog "in about:config."
fi
}
pkg_postrm() {
gnome2_icon_cache_update
xdg_desktop_database_update
}

View File

@ -2,6 +2,7 @@
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<use>
<flag name="amd64">You should not be able to see this</flag>
<flag name="clang">Use Clang compiler instead of GCC</flag>
<flag name="custom-optimization">Build with user-specified compiler optimizations
(-Os, -O0, -O1, -O2, -O3) from CFLAGS (unsupported)</flag>
@ -30,6 +31,7 @@
installation with secure-delete enabled</flag>
<flag name="system-webp">Use the system-wide <pkg>media-libs/libwebp</pkg>
instead of bundled.</flag>
<flag name="x86">You should not be able to see this</flag>
</use>